<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Entity;

class PagSeguroPhoneViewModel extends Entity {
	protected $type;
	protected $country;
	protected $area;
	protected $number;

	public static function builder(): PagSeguroPhoneViewModelBuilder {

		return new PagSeguroPhoneViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getType() {

		return $this->type;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCountry() {

		return $this->country;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getArea() {

		return $this->area;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNumber() {

		return $this->number;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;

	}

	/**
	 *
	 * @param mixed $country
	 */
	public function setCountry($country) {

		$this->country = $country;

	}

	/**
	 *
	 * @param mixed $area
	 */
	public function setArea($area) {

		$this->area = $area;

	}

	/**
	 *
	 * @param mixed $number
	 */
	public function setNumber($number) {

		$this->number = $number;

	}

}

